Skip to main content
POST
https://api.tensormesh.ai
/
v1
/
admin
/
billing
/
gpu-pricing
Insert GPU Pricing
curl --request POST \
  --url https://api.tensormesh.ai/v1/admin/billing/gpu-pricing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pricing": {
    "gpuType": "GPU_TYPE_UNSPECIFIED",
    "cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
    "hourlyRate": {
      "currencyCode": "<string>",
      "units": "<string>",
      "nanos": 123
    },
    "isActive": true
  }
}
'
{
  "pricing": {
    "gpuType": "GPU_TYPE_UNSPECIFIED",
    "cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
    "hourlyRate": {
      "currencyCode": "<string>",
      "units": "<string>",
      "nanos": 123
    },
    "isActive": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Body

application/json
pricing
object

Response

A successful response.

pricing
object